Update a webhook endpoint
Updates a webhook endpoint. Only the provided fields are modified. When enabled_events is present, it replaces the previous list as a whole. Only endpoints matching the live or test mode of the API key can be updated.
v1 · Base URL https://api.fintoc.com/v1Authorizations
Path Parameters
The id of the webhook endpoint to update.
Body
Optional description that might help identify the responsibilities of the endpoint.
"Webhook endpoint for payment events."
Optional parameter to disable or enable the notifications to the endpoint.
false
Events that will trigger a webhook to be sent. Replaces the previous list as a whole.
link.credentials_changed, link.refresh_intent.succeeded, link.refresh_intent.failed, account.refresh_intent.succeeded, account.refresh_intent.failed, account.refresh_intent.rejected, payment_intent.succeeded, payment_intent.rejected, payment_intent.failed, payment_intent.pending, payment_intent.expired, subscription.activated, subscription.canceled, subscription_intent.succeeded, subscription_intent.rejected, subscription_intent.failed, charge.succeeded, charge.failed, account.refresh_intent.movements_removed, account.refresh_intent.movements_modified, refund.succeeded, refund.failed, refund.in_progress, payout.created, payout.canceled, payout.succeeded, payout.returned, checkout_session.finished, checkout_session.expired, transfer.inbound.succeeded, transfer.outbound.succeeded, transfer.outbound.failed, transfer.outbound.returned, transfer.inbound.returned, transfer.inbound.return_failed, account_number.deleted, account_verification.succeeded, account_verification.failed, transfer.inbound.rejected, payment_method.activated, payment_method.canceled, invoice.created, invoice.finalized, invoice.payment_created, invoice.payment_failed, invoice.payment_succeeded, invoice.voided, dispute.waiting_documentation, dispute.in_review, dispute.won, dispute.lost, dispute.expired, entity.onboarding.approved, entity.onboarding.rejected Optional name to identify the endpoint.
"My webhook endpoint"
HTTPS URL that will receive the notifications about events.
"https://my.webhook.endpoint"
Response
The updated webhook endpoint.
Unique identifier of the webhook endpoint.
"we_M6yrvOepCe3Rqp8B"
Type of the object. Always webhook_endpoint.
ISO 8601 timestamp of when the webhook endpoint was created.
"2021-05-17T17:04:10.284Z"
Optional free-text description of the endpoint.
"Webhook endpoint for payment events."
Event types that trigger a notification to this endpoint.
link.credentials_changed, link.refresh_intent.succeeded, link.refresh_intent.failed, account.refresh_intent.succeeded, account.refresh_intent.failed, account.refresh_intent.rejected, payment_intent.succeeded, payment_intent.rejected, payment_intent.failed, payment_intent.pending, payment_intent.expired, subscription.activated, subscription.canceled, subscription_intent.succeeded, subscription_intent.rejected, subscription_intent.failed, charge.succeeded, charge.failed, account.refresh_intent.movements_removed, account.refresh_intent.movements_modified, refund.succeeded, refund.failed, refund.in_progress, payout.created, payout.canceled, payout.succeeded, payout.returned, checkout_session.finished, checkout_session.expired, transfer.inbound.succeeded, transfer.outbound.succeeded, transfer.outbound.failed, transfer.outbound.returned, transfer.inbound.returned, transfer.inbound.return_failed, account_number.deleted, account_verification.succeeded, account_verification.failed, transfer.inbound.rejected, payment_method.activated, payment_method.canceled, invoice.created, invoice.finalized, invoice.payment_created, invoice.payment_failed, invoice.payment_succeeded, invoice.voided, dispute.waiting_documentation, dispute.in_review, dispute.won, dispute.lost, dispute.expired, entity.onboarding.approved, entity.onboarding.rejected Mode of the object. live objects use real institution data, test objects use fake data for integration testing.
test, live "live"
Optional name to identify the endpoint.
"My webhook endpoint"
Secret used to verify the signature of the webhooks sent to the endpoint. Only returned when the endpoint is created; null in every other response.
"whsec_live_aBcDeFgHiJkLmNoPqRsTuVwXyZ"
Whether the endpoint currently receives event notifications.
disabled, enabled "enabled"
HTTPS URL that receives the event notifications.
"https://my.webhook.endpoint"